## siddec siddec — Use libsidplay to decode SID audio tunes |

## Properties

guint | blocksize | Read / Write
GstSidClock | clock | Read / Write
gboolean | filter | Read / Write
gboolean | force-speed | Read / Write
gboolean | measured-volume | Read / Write
GstSidMemory | memory | Read / Write
GstCaps * | metadata | Read
gboolean | mos8580 | Read / Write
gint | tune | Read / Write

## Types and Values

struct | GstSidDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstSidDec

## Description

## Synopsis

### Element Information

plugin | siddec
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-sid

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 8000, 48000 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstSidDec

    struct GstSidDec;

## Property Details

### The `“blocksize”` property

      “blocksize”                guint

Size in bytes to output per buffer.

Flags: Read / Write

Allowed values: >= 1

Default value: 4096

### The `“clock”` property

      “clock”                    GstSidClock

clock.

Flags: Read / Write

Default value: PAL

### The `“filter”` property

      “filter”                   gboolean

filter.

Flags: Read / Write

Default value: TRUE

### The `“force-speed”` property

      “force-speed”              gboolean

force_speed.

Flags: Read / Write

Default value: FALSE

### The `“measured-volume”` property

      “measured-volume”          gboolean

measured_volume.

Flags: Read / Write

Default value: TRUE

### The `“memory”` property

      “memory”                   GstSidMemory

memory.

Flags: Read / Write

Default value: Bank Switching

### The `“metadata”` property

      “metadata”                 GstCaps *

Metadata.

Flags: Read

### The `“mos8580”` property

      “mos8580”                  gboolean

mos8580.

Flags: Read / Write

Default value: FALSE

### The `“tune”` property

      “tune”                     gint

tune.

Flags: Read / Write

Allowed values: [0,100]

Default value: 0